package org.dromara.payment.common.service;

import org.dromara.payment.common.domain.BusAccounts;
import org.dromara.payment.common.domain.vo.BusAccountsVo;
import org.dromara.payment.common.domain.bo.BusAccountsBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 资金账户汇总Service接口
 *
 * @author LionLi
 * @date 2024-04-03
 */
public interface IBusAccountsService {

    /**
     * 查询资金账户汇总
     */
    BusAccountsVo queryById(Long id);

    /**
     * 查询资金账户汇总列表
     */
    TableDataInfo<BusAccountsVo> queryPageList(BusAccountsBo bo, PageQuery pageQuery);

    /**
     * 查询资金账户汇总列表
     */
    List<BusAccountsVo> queryList(BusAccountsBo bo);

    /**
     * 新增资金账户汇总
     */
    Boolean insertByBo(BusAccountsBo bo);

    /**
     * 修改资金账户汇总
     */
    Boolean updateByBo(BusAccountsBo bo);

    /**
     * 校验并批量删除资金账户汇总信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
